Skip to main content
GET
/
v1
/
authorization
/
roles
Get Rbac Roles
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/authorization/roles \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "super_admin",
    "name": "<string>",
    "description": "<string>",
    "createdAt": "2024-11-20T07:43:34+0000",
    "updatedAt": "2024-11-20T07:43:34+0000"
  }
]
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.
Get all RBAC roles for the company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

id
string<uuid>
required
role
enum<string>
required
Available options:
super_admin,
admin,
scheduler,
coordinator,
manager,
provider,
payroll
name
string | null
required
description
string | null
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

updatedAt
string
required
Example:

"2024-11-20T07:43:34+0000"